summaryrefslogtreecommitdiff
path: root/regress/reconfigure.sh
diff options
context:
space:
mode:
Diffstat (limited to 'regress/reconfigure.sh')
-rw-r--r--regress/reconfigure.sh22
1 files changed, 9 insertions, 13 deletions
diff --git a/regress/reconfigure.sh b/regress/reconfigure.sh
index eecddd3c7302..dd15eddb2a24 100644
--- a/regress/reconfigure.sh
+++ b/regress/reconfigure.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: reconfigure.sh,v 1.5 2015/03/03 22:35:19 markus Exp $
+# $OpenBSD: reconfigure.sh,v 1.6 2017/04/30 23:34:55 djm Exp $
# Placed in the Public Domain.
tid="simple connect after reconfigure"
@@ -18,12 +18,10 @@ fi
start_sshd
trace "connect before restart"
-for p in ${SSH_PROTOCOLS} ; do
- ${SSH} -o "Protocol=$p" -F $OBJ/ssh_config somehost true
- if [ $? -ne 0 ]; then
- fail "ssh connect with protocol $p failed before reconfigure"
- fi
-done
+${SSH} -F $OBJ/ssh_config somehost true
+if [ $? -ne 0 ]; then
+ fail "ssh connect with failed before reconfigure"
+fi
PID=`$SUDO cat $PIDFILE`
rm -f $PIDFILE
@@ -39,9 +37,7 @@ done
test -f $PIDFILE || fatal "sshd did not restart"
trace "connect after restart"
-for p in ${SSH_PROTOCOLS} ; do
- ${SSH} -o "Protocol=$p" -F $OBJ/ssh_config somehost true
- if [ $? -ne 0 ]; then
- fail "ssh connect with protocol $p failed after reconfigure"
- fi
-done
+${SSH} -F $OBJ/ssh_config somehost true
+if [ $? -ne 0 ]; then
+ fail "ssh connect with failed after reconfigure"
+fi